Class | Fog::Compute::XenServer::VDI
In: | lib/fog/xenserver/models/compute/vdi.rb
Parent: | Fog::Model

### Methods

destroy new parent save set_attribute snapshot_of snapshots sr storage_repository vbds

### Public Class methods

new(attributes = {})

Default VDI type is system Default size 8GB Sharable is false by default read_only is false by default

### Public Instance methods

destroy()
parent()
save()
set_attribute(name, *val)
snapshot_of()
snapshots()
sr()
storage_repository()
vbds()

[Validate]